<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
      package="com.mediatek.FMRadio"
      android:versionCode="1"
      android:versionName="1.0"
      android:sharedUserId="android.media">
    <application android:icon="@drawable/ic_launcher_temp" android:label="@string/app_name"
                 android:hardwareAccelerated="false">
        <activity android:name=".FMRadioActivity"
                  android:label="@string/app_name"
                  android:configChanges="orientation|mcc|mnc|screenSize"
                  android:launchMode="singleTask"
                  android:clearTaskOnLaunch="true">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity android:name=".FMRadioFavorite"
                  android:label="@string/favorite_manager"
                  android:configChanges="orientation|screenSize"
                  android:windowSoftInputMode="stateAlwaysHidden">
        </activity>
        
        <activity android:name=".FMRadioEMActivity"
                  android:label="@string/app_name"
                  android:configChanges="orientation|screenSize"
                  android:launchMode="singleTask"
                  android:clearTaskOnLaunch="true">
            <intent-filter>
                <action android:name="com.mediatek.FMRadio.FMRadioEMActivity" />
                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <service android:name=".FMRadioService">
            <intent-filter>
                <action android:name="com.mediatek.FMRadio.IFMRadioService" />
            </intent-filter>
        </service>
        
        <provider android:name=".FMRadioContentProvider"
			android:authorities="com.mediatek.FMRadio.FMRadioContentProvider" />
    </application>
	<uses-permission 
		android:name="android.permission.MODIFY_AUDIO_SETTINGS">
	</uses-permission>
	<uses-permission android:name="android.permission.WAKE_LOCK" />
	<uses-permission android:name="android.permission.READ_PHONE_STATE" />
	<uses-permission android:name="android.permission.BLUETOOTH" />
	<uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
	<uses-permission android:name="android.permission.RECORD_AUDIO" />
</manifest> 
